<%--
* The contents of this file are subject to the terms
* of the Common Development and Distribution License
* (the License).  You may not use this file except in
* compliance with the License.
*
* You can obtain a copy of the license at
* http://www.sun.com/cddl/cddl.html or
* at portlet-repository/CDDLv1.0.txt.
* See the License for the specific language governing
* permissions and limitations under the License.
*
* When distributing Covered Code, include this CDDL
* Header Notice in each file and include the License file
* at portlet-repository/CDDLv1.0.txt.
* If applicable, add the following below the CDDL Header,
* with the fields enclosed by brackets [] replaced by
* you own identifying information:
* "Portions Copyrighted [year] [name of copyright owner]"
*
* Copyright 2007 Sun Microsystems, Inc. All rights reserved.
--%> 

<%@ page contentType="text/html" %>
<%@ page import="javax.portlet.PortletURL" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<script>
//Javascript utility methods to edit mashup URLs
function removeSelectedUrl(form){
   var selUrl = "";

   for (var i=0;i<form.mashupUrls.length;i++) {
        if (form.mashupUrls.options[i].selected) {
                form.mashupUrls.removeChild(form.mashupUrls.options[i]);
        }
   }
  
}

function addNewUrl(form){
    var nUrl = new Option(form.url.value, form.url.value);
    form.mashupUrls.options[form.mashupUrls.length] =nUrl;
    form.url.value = "";
}

function submitMashupPortletEditForm (form) {
   for (var i=0;i<form.mashupUrls.length;i++) {
        form.mashupUrls.options[i].selected = true;
   }
   
   form.submit();
   return true;   
}
</script>
<%
   String [] mashupUrls = (String[])request.getAttribute("mashupUrls");
%>
<portlet:defineObjects/>

<portlet:actionURL var="actionURL">
</portlet:actionURL>

<p><b>Edit Mashup Preferences</b></p>
<form id="mashupportletform" target="_self" method="POST" action="<%=actionURL.toString()%>" onSubmit="submitMashupPortletEditForm(this);return true;">
<table width="80%" align="center">
<tr><td align="left">
List of GeoRSS feed URLs:
</td></tr>
<tr><td align="left">
<select name="mashupUrls" id="mashupUrls" size="5" style="width:600px;autoscroll:true" multiple="true">
<%
    for (int i=0;i<mashupUrls.length; i++){
%>
    <option id="<%= mashupUrls[i]%>"><%= mashupUrls[i] %></option>
<%

    }

%>
</select>
</td></tr>
<tr><td align="left" >
Enter a GeoRSS feed URL and click on "Add" to add feed to the mashup map:<br>
<input type="text" size="40" name="url" id="url" value="">&nbsp;
<input type="button" name="add" id="add" value="Add" onClick="addNewUrl(this.form)">&nbsp;&nbsp;&nbsp;
<input type="button" name="remove" id="remove" value="Remove Selected" onClick="removeSelectedUrl(this.form)">

</td></tr>
</table>
<br>
<table width="80%"> 
<tr><td align="left">
<input type="submit" name="save" id="save" value="Save">&nbsp;&nbsp;
</td></tr>
</table>
</form>

